/**
 * User class creates User Objects
 *
 * @author Madeleine Vigier
 * @version 1.1
 */
public class User {
    private String nameParent1;
    private String nameParent2;
    private String billAddress;
    private String phonenumber;
    private String nameChildren;
    private String password;

    /**
     * constructor
     *
     * @param nameParent1
     * @param nameParent2
     * @param billAddress
     * @param phonenumber
     * @param nameChildren
     * @param password
     * @author Madeleine Vigier
     * @version 1.0
     */
    public User(String nameParent1, String nameParent2, String billAddress, String phonenumber, String nameChildren, String password) {
        this.nameParent1 = nameParent1;
        this.nameParent2 = nameParent2;
        this.billAddress = billAddress;
        this.phonenumber = phonenumber;
        this.nameChildren = nameChildren;
        this.password = password;
    }

    /**
     * the method getPhonenumber() gets the Phonenumber
     *
     * @return Phonenumber
     * @author Madeleine Vigier
     * @version 1.0
     */
    public String getPhonenumber() {
        return phonenumber;
    }

    /**
     * the method getPassword() gets the password
     *
     * @return password
     * @author Madeleine Vigier
     * @version 1.0
     */
    public String getPassword() {
        return password;
    }

    /**
     * the method getNameParent1() gets nameParent1
     *
     * @return nameParent1
     * @author Madeleine Vigier
     * @version 1.0
     */
    public String getNameParent1() {
        return nameParent1;
    }

    /**
     * the method getNameParent2() gets nameParent2
     *
     * @return nameParent2
     * @author Madeleine Vigier
     * @version 1.0
     */
    public String getNameParent2() {
        return nameParent2;
    }

    /**
     * the methode toString() returns a String representation of an object
     *
     * @return a String with nameParent1, nameparent2, billAdress, phonenumber, nameChildren, password
     * @author Madeleine Vigier
     * @version 1.0
     */
    @Override
    public String toString() {
        return "User{" +
                "nameParent1='" + nameParent1 + '\'' +
                ", nameParent2='" + nameParent2 + '\'' +
                ", billAddress='" + billAddress + '\'' +
                ", phonenumber='" + phonenumber + '\'' +
                ", nameChildren='" + nameChildren + '\'' +
                ", password='" + password + '\'' +
                '}';
    }
}
